Subject: bug#8511: closed (Re: bug#8511: Sort error in makefile)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Apr 2011 06:28:01 +0000

Your bug report

#8511: Sort error in makefile

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8511: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8511
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8511: Sort error in makefile
From: Jim Meyering <[email-masked]>
To: "Alan Curry" <[email-masked]>
Cc: [email-masked], Harpal Shergill <[email-masked]>
Date: Sun, 17 Apr 2011 08:27:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 8511 notabug
close 8511
thanks

Alan Curry wrote:
...
> Your makefile is running the DOS/Windows sort command instead of the
> GNU/cygwin sort. Use a full path like /whatever/cygwin/bin/sort to make it
> use the right one.
>
> cygwin's bug, if a bug at all...

Hi Alan,
Thanks for replying.
I'm closing this issue.

Subject: Sort error in makefile
From: Harpal Shergill <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 16 Apr 2011 15:09:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have  a makefile which does the following:

   1. grab a .gz file from server using wget -- works fine
   2. extract the data from .gz file to new file based on filter using ZCAT
   -- works fine
   3. sort the data from based on specific field and saves the data into a
   new file -- DOES NOT WORK

   - command looks like this: sort -t: -k2n <inputFile> outputFile
   - this command works perfectly on command line of cygwin BUT fails
   through makefile
   - Error says: Input file specified two times.

I tried to search on this online but couldn't get any info. Can you please
help and show me what's wrong? In make file i have this command enclosed
with "`" character. Any feedback on this would be greatly appreciated.

Thank you.

Harpal